package com.gh.gamecenter.qa.questions.invite;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;

import com.gh.gamecenter.common.base.activity.ToolBarActivity;
import com.gh.gamecenter.common.constant.EntranceConsts;
import com.gh.gamecenter.common.utils.ExtensionsKt;
import com.gh.gamecenter.qa.entity.QuestionsDetailEntity;

/**
 * Created by khy on 10/04/18.
 * 邀请回答
 */

public class QuestionsInviteActivity extends ToolBarActivity {

    @Override
    protected boolean isAutoResetViewBackgroundEnabled() {
        return true;
    }

    @Override
    protected void onDarkModeChanged() {
        super.onDarkModeChanged();
        ExtensionsKt.updateStatusBarColor(this, com.gh.gamecenter.common.R.color.ui_surface, com.gh.gamecenter.common.R.color.ui_surface);
    }

    public static Intent getIntent(Context context, QuestionsDetailEntity entity, String entrance) {
        Bundle bundle = new Bundle();
        bundle.putParcelable(QuestionsDetailEntity.class.getSimpleName(), entity);
        bundle.putString(EntranceConsts.KEY_ENTRANCE, entrance);
        return getTargetIntent(context, QuestionsInviteActivity.class, QuestionsInviteWrapperFragment.class, bundle);
    }
}
